<%= javascript_include_tag "/assets/kindeditor/kindeditor", '/assets/kindeditor/pasteimg', "init_activity_KindEditor" %>
<style type="text/css">
    /*回复框*/
    .homepagePostReplyInputContainer .ke-toolbar {display: none; width: 400px; border: none; background: none; padding: 0px 0px;}
    .homepagePostReplyInputContainer .ke-toolbar-icon {line-height: 26px; font-size: 14px; padding-left: 26px;}
    .homepagePostReplyInputContainer .ke-toolbar-icon-url {background-image: url(/images/public_icon.png)}
    .homepagePostReplyInputContainer .ke-outline {padding: 0px 0px; line-height: 26px; font-size: 14px;}
    .homepagePostReplyInputContainer .ke-icon-emoticons {background-position: 0px -671px; width: 50px; height: 26px;}
    .homepagePostReplyInputContainer .ke-icon-emoticons:hover {background-position: -79px -671px; width: 50px; height: 26px;}
    .homepagePostReplyInputContainer .ke-outline {border: none;}
    .homepagePostReplyInputContainer .ke-inline-block {display: none;}
    .homepagePostReplyInputContainer .ke-container {float: left;}
</style>
<script type="text/javascript">
    $(function(){
        $("#RSide").removeAttr("id");
        $("#Container").css("width","1000px");
    });
    function reset_article(){
        $("#message_subject").val("");
        $("#subjectmsg").text("");
        document.getElementById("blog_comment_sticky").checked=false;
        document.getElementById("blog_comment_locked").checked=false;
        $("#topic_attachments").html("<%= escape_javascript(render :partial => 'blog_comments/blog_attachments', :locals => {:container => BlogComment.new})%>");
        message_content_editor.html("");
        $("#topic_editor").slideToggle();
    }
    <%# if @is_new%>
//    $(function(){
//        $("#message_subject").focus();
//    });
    <%#end%>
</script>

<div class="homepageRight mt0">
  <div class="homepageRightBanner">
    <div class="NewsBannerName">
      <%= @user.name%>的博客
    </div>
  </div>
  <% if User.current.logged? && User.current.id == @user.id %>
      <%= labelled_form_for @article, :url =>{:controller=>'blog_comments',:action => 'create',:user_id=>user.id , :blog_id => blog.id},
                            :html => {:nhname=>'form',:multipart => true, :id => 'message-form'} do |f| %>
          <%= render :partial => 'blog_comments/new', :locals => {:f => f, :article => @article, :edit_mode => false, :user => @user} %>
      <% end %>
  <% end %>

  <% if topics%>
      <% topics.each do |topic| %>
          <script>
              function expand_reply(container, btnid) {
                  var target = $(container);
                  var btn = $(btnid);
                  if (btn.data('init') == '0') {
                      btn.data('init', 1);
                      btn.html('收起回复');
                      target.show();
                  } else {
                      btn.data('init', 0);
                      btn.html('展开更多');
                      target.hide();
                      target.eq(0).show();
                      target.eq(1).show();
                      target.eq(2).show();
                  }
              }

              function expand_reply_input(id) {
                  $(id).toggle();
              }

              $(function () {
                  init_activity_KindEditor_data(<%= topic.id%>, null, "87%");
                  showNormalImage('activity_description_<%= topic.id %>');
                  /*var description_images=$("div#activity_description_<%#= topic.id %>").find("img");
                   if (description_images.length>0) {
                   for (var i=0; i<description_images.length; i++){
                   var image=$(description_images[i]);
                   var element=$("<a></a>").attr("href",image.attr('src'));
                   image.wrap(element);
                   }
                   }
                   $('#activity_description_<%#= topic.id %> a').colorbox({rel:'nofollow', close: "关闭", returnFocus: false});*/
              });
          </script>
          <% if topic %>
              <%= render :partial => 'blogs/article', :locals => {:activity => topic, :user_activity_id => topic.id} %>
          <% end %>
      <% end %>

      <%# if topics.count == 10 %>
          <!--<div id="show_more_course_topic" class="loadMore mt10 f_grey">展开更多<%#= link_to "", boards_topic_path(@board, :course_id => @board.course.id ,:page => page), :id => "more_topic_link", :remote => "true", :class => "none" %></div>-->
      <%# end %>
  <% end%>
</div>

<script type="text/javascript">
    $("#show_more_course_topic").mouseover(function () {
        $("#more_topic_link").click();
    });
</script>
